VIMGO : A Terminal-Based File Manager
Overview
FileManager is a terminal-based file manager written in Go. It provides a simple and intuitive way to navigate and manage files and directories in a terminal environment.

Technical Stack
Programming Language: Go (Golang)
Terminal Library: tcell (github.com/gdamore/tcell/v2)
UI Library: tview (github.com/rivo/tview)
System Calls: os, syscall, and term (golang.org/x/term)
Features
File Navigation: Navigate through directories and files using a simple and intuitive interface.
File Management: Create, delete, and rename files and directories.
Vim Integration: Open files in Vim for editing.
Details View: View detailed information about files and directories, including file type, size, permissions, owner, group, and modification time.
Benefits
Efficient: FileManager provides a fast and efficient way to manage files and directories in a terminal environment.
Intuitive: The simple and intuitive interface makes it easy to use, even for users who are not familiar with terminal-based file managers.
Customizable: The tool can be customized to fit the user's needs and preferences.
Vim Integration: The integration with Vim provides a seamless editing experience.
Getting Started
To get started with FileManager, simply compile and run the tool in your terminal environment. Use the following commands to navigate and manage files and directories:

Navigation: Use the arrow keys to navigate through directories and files. Press Enter to open a file or directory.
File Management: Use the d key to delete a file or directory, and the r key to rename a file or directory.
Vim Integration: Use the v key to open a file in Vim for editing.
License
FileManager is licensed under the MIT License. See the LICENSE file for more information.

Contributing
Contributions to FileManager are welcome! If you have a feature request or a bug fix, please submit a pull request on GitHub.

Acknowledgments
FileManager uses the following open-source libraries:

tcell (github.com/gdamore/tcell/v2)
tview (github.com/rivo/tview)

INSTALLATION-

$chmod +x install.sh

$./install.sh


$vimgo
